package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.PopulationRegion;
import com.lightinit.hsdatashow.entity.PopulationRegionExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.PopulationRegionResultModel;
import com.lightinit.hsdatashow.model.admin.PrecipitationResultModel;
import org.apache.ibatis.annotations.Param;

public interface PopulationRegionMapper {
    long countByExample(PopulationRegionExample example);

    int deleteByExample(PopulationRegionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(PopulationRegion record);

    int insertSelective(PopulationRegion record);

    List<PopulationRegion> selectByExample(PopulationRegionExample example);

    PopulationRegion selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") PopulationRegion record, @Param("example") PopulationRegionExample example);

    int updateByExample(@Param("record") PopulationRegion record, @Param("example") PopulationRegionExample example);

    int updateByPrimaryKeySelective(PopulationRegion record);

    int updateByPrimaryKey(PopulationRegion record);

    List<PopulationRegionResultModel> getPopulationRegion(PopulationRegionExample example);

    PopulationRegionResultModel selectById(long id);
}